<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: engine_profiles Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">engine_profiles Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a4077e2153d9f4d7e2e5b405492a6d79e"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceengine__profiles.html#a4077e2153d9f4d7e2e5b405492a6d79e">calc_piston_motion_profile</a> (t_loop)</td></tr>
<tr class="separator:a4077e2153d9f4d7e2e5b405492a6d79e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47f731d00d4d68f6092e7b2d9fa7dcb5"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceengine__profiles.html#a47f731d00d4d68f6092e7b2d9fa7dcb5">gen_valve_motion_profile</a> (t_loop)</td></tr>
<tr class="separator:a47f731d00d4d68f6092e7b2d9fa7dcb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e2073488762672d06e180acbecdd8d3"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceengine__profiles.html#a3e2073488762672d06e180acbecdd8d3">calc_pressure_bdry</a> ()</td></tr>
<tr class="separator:a3e2073488762672d06e180acbecdd8d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7624e90b890c1127f0086fe1931a36a6"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceengine__profiles.html#a7624e90b890c1127f0086fe1931a36a6">parse_motion_file</a> (filename)</td></tr>
<tr class="separator:a7624e90b890c1127f0086fe1931a36a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d670f68cdb03cb4aa0a5b12749061a6"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceengine__profiles.html#a9d670f68cdb03cb4aa0a5b12749061a6">get_piston_bbox_stl</a> (filename, dir, scale, min_loc, max_loc)</td></tr>
<tr class="separator:a9d670f68cdb03cb4aa0a5b12749061a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a233e6f25c330a53f1128a80c8b386f"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceengine__profiles.html#a1a233e6f25c330a53f1128a80c8b386f">check_motion</a></td></tr>
<tr class="separator:a1a233e6f25c330a53f1128a80c8b386f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a6a817db44c98e442e424d154ffcc76b4"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), allocatable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceengine__profiles.html#a6a817db44c98e442e424d154ffcc76b4">motion_times</a></td></tr>
<tr class="separator:a6a817db44c98e442e424d154ffcc76b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7948d5c965c8207f888b013426b61ae"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), allocatable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceengine__profiles.html#aa7948d5c965c8207f888b013426b61ae">x</a></td></tr>
<tr class="separator:aa7948d5c965c8207f888b013426b61ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa98918eaeedc195f0381f2ba64516113"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), allocatable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceengine__profiles.html#aa98918eaeedc195f0381f2ba64516113">y</a></td></tr>
<tr class="separator:aa98918eaeedc195f0381f2ba64516113"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bd624920ac1e8f8f22529d99f3392af"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), allocatable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceengine__profiles.html#a4bd624920ac1e8f8f22529d99f3392af">z</a></td></tr>
<tr class="separator:a4bd624920ac1e8f8f22529d99f3392af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5612d5ad7f6b14e361a0d7e4fdc259ed"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), allocatable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceengine__profiles.html#a5612d5ad7f6b14e361a0d7e4fdc259ed">x_offset</a></td></tr>
<tr class="separator:a5612d5ad7f6b14e361a0d7e4fdc259ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af861d0cecd11793e8dd12833410a30dc"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), allocatable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceengine__profiles.html#af861d0cecd11793e8dd12833410a30dc">y_offset</a></td></tr>
<tr class="separator:af861d0cecd11793e8dd12833410a30dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fdf98fe5eb640cf66c8d9c4b426fca5"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), allocatable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceengine__profiles.html#a3fdf98fe5eb640cf66c8d9c4b426fca5">z_offset</a></td></tr>
<tr class="separator:a3fdf98fe5eb640cf66c8d9c4b426fca5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a5eb243885081a5b952b62b824d2a2c"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceengine__profiles.html#a0a5eb243885081a5b952b62b824d2a2c">nmoves</a></td></tr>
<tr class="separator:a0a5eb243885081a5b952b62b824d2a2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f97ed21d84b6a3e11eb3d25f97ff036"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceengine__profiles.html#a0f97ed21d84b6a3e11eb3d25f97ff036">rpm</a> = 0.0</td></tr>
<tr class="separator:a0f97ed21d84b6a3e11eb3d25f97ff036"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb550e619d0416b2072c72606f6696c3"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceengine__profiles.html#abb550e619d0416b2072c72606f6696c3">periodic</a></td></tr>
<tr class="separator:abb550e619d0416b2072c72606f6696c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a4077e2153d9f4d7e2e5b405492a6d79e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4077e2153d9f4d7e2e5b405492a6d79e">&#9670;&nbsp;</a></span>calc_piston_motion_profile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public engine_profiles::calc_piston_motion_profile </td>
          <td>(</td>
          <td class="paramtype">real(wp), intent(inout)&#160;</td>
          <td class="paramname"><em>t_loop</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceprofiles__func.html#a549e6115061eff427edfe586210bd95e">profiles_func::calc_piston_motion</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, <a class="el" href="namespaceengine__profiles.html#abb550e619d0416b2072c72606f6696c3">periodic</a>, <a class="el" href="namespaceprofiles__func.html#affb93e086c91fcb50d1cc96de9d21966">profiles_func::plot_motion_profiles</a>, <a class="el" href="namespaceprofiles__func.html#af1ac46a79ba413368e7ae2e07870f3bb">profiles_func::read_piston_motion</a>, <a class="el" href="namespaceengine__profiles.html#a0f97ed21d84b6a3e11eb3d25f97ff036">rpm</a>, and <a class="el" href="namespaceprecision.html#ac401a03c3988b013215283fff6741c6b">precision::wp</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceengine__profiles_a4077e2153d9f4d7e2e5b405492a6d79e_cgraph.png" border="0" usemap="#namespaceengine__profiles_a4077e2153d9f4d7e2e5b405492a6d79e_cgraph" alt=""/></div>
<map name="namespaceengine__profiles_a4077e2153d9f4d7e2e5b405492a6d79e_cgraph" id="namespaceengine__profiles_a4077e2153d9f4d7e2e5b405492a6d79e_cgraph">
<area shape="rect" id="node2" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="205,13,301,39"/>
<area shape="rect" id="node3" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="349,5,480,47"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceengine__profiles_a4077e2153d9f4d7e2e5b405492a6d79e_icgraph.png" border="0" usemap="#namespaceengine__profiles_a4077e2153d9f4d7e2e5b405492a6d79e_icgraph" alt=""/></div>
<map name="namespaceengine__profiles_a4077e2153d9f4d7e2e5b405492a6d79e_icgraph" id="namespaceengine__profiles_a4077e2153d9f4d7e2e5b405492a6d79e_icgraph">
<area shape="rect" id="node2" href="convert__profiles_8f90.html#aee0209e09949e60fd2a9a5738108017c" title="convert_profiles" alt="" coords="205,13,320,39"/>
</map>
</div>

</div>
</div>
<a id="a3e2073488762672d06e180acbecdd8d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e2073488762672d06e180acbecdd8d3">&#9670;&nbsp;</a></span>calc_pressure_bdry()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public engine_profiles::calc_pressure_bdry </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, <a class="el" href="namespaceprofiles__func.html#affb93e086c91fcb50d1cc96de9d21966">profiles_func::plot_motion_profiles</a>, and <a class="el" href="namespaceengine__profiles.html#a0f97ed21d84b6a3e11eb3d25f97ff036">rpm</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceengine__profiles_a3e2073488762672d06e180acbecdd8d3_cgraph.png" border="0" usemap="#namespaceengine__profiles_a3e2073488762672d06e180acbecdd8d3_cgraph" alt=""/></div>
<map name="namespaceengine__profiles_a3e2073488762672d06e180acbecdd8d3_cgraph" id="namespaceengine__profiles_a3e2073488762672d06e180acbecdd8d3_cgraph">
<area shape="rect" id="node2" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="195,13,291,39"/>
<area shape="rect" id="node3" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="339,5,469,47"/>
</map>
</div>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceengine__profiles_a3e2073488762672d06e180acbecdd8d3_icgraph.png" border="0" usemap="#namespaceengine__profiles_a3e2073488762672d06e180acbecdd8d3_icgraph" alt=""/></div>
<map name="namespaceengine__profiles_a3e2073488762672d06e180acbecdd8d3_icgraph" id="namespaceengine__profiles_a3e2073488762672d06e180acbecdd8d3_icgraph">
<area shape="rect" id="node2" href="convert__profiles_8f90.html#aee0209e09949e60fd2a9a5738108017c" title="convert_profiles" alt="" coords="195,13,309,39"/>
</map>
</div>

</div>
</div>
<a id="a1a233e6f25c330a53f1128a80c8b386f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a233e6f25c330a53f1128a80c8b386f">&#9670;&nbsp;</a></span>check_motion()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public engine_profiles::check_motion </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceengine__profiles.html#a9d670f68cdb03cb4aa0a5b12749061a6">get_piston_bbox_stl()</a>, <a class="el" href="namespaceengine__profiles.html#a6a817db44c98e442e424d154ffcc76b4">motion_times</a>, <a class="el" href="namespaceengine__profiles.html#a0a5eb243885081a5b952b62b824d2a2c">nmoves</a>, <a class="el" href="object__func__m_8f90.html#a6122e3d851f41e208f66cb314016c110">parse_motion_file()</a>, <a class="el" href="namespaceprecision.html#ac401a03c3988b013215283fff6741c6b">precision::wp</a>, <a class="el" href="namespaceengine__profiles.html#aa7948d5c965c8207f888b013426b61ae">x</a>, <a class="el" href="namespaceengine__profiles.html#aa98918eaeedc195f0381f2ba64516113">y</a>, and <a class="el" href="namespaceengine__profiles.html#a4bd624920ac1e8f8f22529d99f3392af">z</a>.</p>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceengine__profiles_a1a233e6f25c330a53f1128a80c8b386f_cgraph.png" border="0" usemap="#namespaceengine__profiles_a1a233e6f25c330a53f1128a80c8b386f_cgraph" alt=""/></div>
<map name="namespaceengine__profiles_a1a233e6f25c330a53f1128a80c8b386f_cgraph" id="namespaceengine__profiles_a1a233e6f25c330a53f1128a80c8b386f_cgraph">
<area shape="rect" id="node2" href="namespaceengine__profiles.html#a9d670f68cdb03cb4aa0a5b12749061a6" title="engine_profiles::get\l_piston_bbox_stl" alt="" coords="205,158,340,200"/>
<area shape="rect" id="node26" href="object__func__m_8f90.html#a6122e3d851f41e208f66cb314016c110" title="parse_motion_file" alt="" coords="211,751,335,778"/>
<area shape="rect" id="node3" href="namespacestl__m.html#a891196905fbca07e48edbe6b58ae3f29" title="stl_m::stl_set_speak" alt="" coords="402,14,545,40"/>
<area shape="rect" id="node4" href="namespacestl__m.html#af384db324d32df2919e90660cd5540b2" title="stl_m::allocate_stl" alt="" coords="409,166,537,192"/>
<area shape="rect" id="node5" href="namespacestl__m.html#a598f3d5697e199dcfbf19e3f5b596d63" title="stl_m::cleanup_stl" alt="" coords="623,166,751,192"/>
<area shape="rect" id="node8" href="namespacestl__m.html#a6decb168c316b9f555b11dce7b59a3fc" title="stl_m::stl_init" alt="" coords="423,292,523,319"/>
<area shape="rect" id="node22" href="namespacestl__m.html#a8a8ff01a166ff04e86aace85ee4e9a32" title="stl_m::scale_stl" alt="" coords="416,64,531,91"/>
<area shape="rect" id="node25" href="namespacestl__m.html#af4785f0036e4eb885a2fec08239b6baa" title="stl_m::destroy_stl_ptr" alt="" coords="399,115,547,142"/>
<area shape="rect" id="node6" href="namespaceadt__m.html#a23ca5dd34e7e9758dda571e9b3da642a" title="adt_m::cleanup_adt" alt="" coords="841,200,977,227"/>
<area shape="rect" id="node7" href="namespacestl__m.html#ab82ddc34e0ce3ffc0f6a781213a2f692" title="stl_m::cleanup_stl_work" alt="" coords="828,150,991,176"/>
<area shape="rect" id="node9" href="stl__m_8f90.html#a007ef5296d37172f01bc84c0b88003cb" title="get_mode_stl" alt="" coords="637,216,737,243"/>
<area shape="rect" id="node10" href="stl__m_8f90.html#a3ff384bab4461d5e3fc9fcdfdc62bcfd" title="read_stl_ascii" alt="" coords="636,267,739,294"/>
<area shape="rect" id="node11" href="stl__m_8f90.html#a4298c822085e9c6112e59646868f57eb" title="read_stl_binary_c" alt="" coords="1069,419,1193,446"/>
<area shape="rect" id="node12" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="1293,394,1389,420"/>
<area shape="rect" id="node14" href="namespacestl__m.html#a8f9ca6b248606ea52e473cc3b20598ba" title="stl_m::stl_init_from_xyz" alt="" coords="607,318,768,344"/>
<area shape="rect" id="node13" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="1481,386,1611,428"/>
<area shape="rect" id="node15" href="namespacestl__m.html#ac660956e6f3b0f98aa8fc3a54d139de1" title="stl_m::stl_correct\l_order_v_of_f" alt="" coords="848,252,971,293"/>
<area shape="rect" id="node21" href="namespacestl__m.html#abfb83184d359f0d51852bab4c709c170" title="stl_m::stl_calc_bbox" alt="" coords="838,99,981,126"/>
<area shape="rect" id="node16" href="namespacestl__m.html#ae9966bab520097a2f012bdad6d9f958a" title="stl_m::stl_build_f_of_v" alt="" coords="1054,267,1207,294"/>
<area shape="rect" id="node17" href="stl__m_8f90.html#a7a92d617564e4d74af46acfa4a122e2e" title="corr_v_of_f" alt="" coords="1087,216,1174,243"/>
<area shape="rect" id="node18" href="namespacestl__m.html#a1c21e4087c9f41dd888d1d5c19a80e36" title="stl_m::write_stl" alt="" coords="1075,128,1186,155"/>
<area shape="rect" id="node19" href="namespacestl__m.html#a3ffe7b9eaaea620decb173f7260b8e13" title="stl_m::stl_calc_normals" alt="" coords="1261,46,1421,72"/>
<area shape="rect" id="node20" href="namespacestl__m.html#a74ea522013c3ceb269a5e0088da07430" title="stl_m::triangle_normal" alt="" coords="1471,46,1621,72"/>
<area shape="rect" id="node23" href="namespacestl__m.html#af292763545103b086fbef034bb1f6098" title="stl_m::stl_stop_for\l_bound_by_bbox" alt="" coords="844,33,975,74"/>
<area shape="rect" id="node24" href="namespacestl__m.html#a499e140dab54d34dce26f717d378fd6d" title="stl_m::translate_stl" alt="" coords="621,64,754,91"/>
<area shape="rect" id="node27" href="namespaceobject__func__m.html#a415d84fd75ade8ac92c45c91672c8f3f" title="object_func_m::add\l_object_a_motion" alt="" coords="405,853,541,894"/>
<area shape="rect" id="node29" href="namespacenga__io.html#a1a642f064d6a1fb91a5bfba2860adc89" title="nga_io::check_nga_file" alt="" coords="396,595,551,622"/>
<area shape="rect" id="node33" href="namespacenga__io.html#a6ecbe666bf692a97ab14a47bc9f5816f" title="nga_io::read_preamble\l_nga_io" alt="" coords="611,646,764,688"/>
<area shape="rect" id="node41" href="nga__func_8f90.html#aee41a5c53bddcfa0c97c3013b50fc977" title="die" alt="" coords="454,802,493,828"/>
<area shape="rect" id="node43" href="namespaceobject__func__m.html#a6d3d6b7bffc05b9d18c9ba0226a0e1e7" title="object_func_m::get\l_object_by_names" alt="" coords="407,918,540,960"/>
<area shape="rect" id="node44" href="namespaceobject__func__m.html#a729f412faf8343409b47fa6e630f933d" title="object_func_m::get\l_object_group_by_names" alt="" coords="388,984,559,1025"/>
<area shape="rect" id="node45" href="object__func__m_8f90.html#add9599235d0892adc76a0d7b13ca5aae" title="motions_init" alt="" coords="427,700,519,727"/>
<area shape="rect" id="node50" href="object__func__m_8f90.html#a12bedbaa1f43fbff49d0ae68404be04e" title="motions_init_group" alt="" coords="408,751,539,778"/>
<area shape="rect" id="node28" href="namespaceobject__defs__m.html#a14a867e7b475fcc36b4f36d5331bfaca" title="object_defs_m::allocate\l_object_a_motion" alt="" coords="607,853,767,894"/>
<area shape="rect" id="node30" href="namespacenga__io.html#a80567cb65b887edb8bd7e3907cde6210" title="nga_io::init_nga_io\l_types" alt="" coords="844,622,975,664"/>
<area shape="rect" id="node31" href="namespacefile__system.html#a047ef6069d3ea6cc368f6cef8569e0e1" title="file_system::get_mpi\l_filename" alt="" coords="616,529,759,570"/>
<area shape="rect" id="node32" href="namespacefile__system.html#a0bab3e012be5c7813b440494e7ec58fe" title="file_system::make_directory" alt="" coords="816,520,1003,547"/>
<area shape="rect" id="node34" href="nga__io_8f90.html#a0ac55997b2c388797802b90347236400" title="check_byte_swap" alt="" coords="846,688,973,715"/>
<area shape="rect" id="node35" href="namespaceparser.html#a2204d5324b210ab1dc9803a58db1c814" title="parser::get_logical\l_param" alt="" coords="1067,622,1195,664"/>
<area shape="rect" id="node36" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="1269,579,1413,606"/>
<area shape="rect" id="node37" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="1263,630,1418,656"/>
<area shape="rect" id="node38" href="namespaceparser.html#a3ca87e1ce9b98eccb21ed318dd61daac" title="parser::get_param_from\l_tag_list" alt="" coords="1261,681,1421,722"/>
<area shape="rect" id="node40" href="namespaceparser.html#a20cf12b9337602e6318ccd187ae7b74a" title="parser::combine_tag_list" alt="" coords="1259,528,1423,555"/>
<area shape="rect" id="node39" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="1475,681,1617,722"/>
<area shape="rect" id="node42" href="namespaceparallel__m.html#a0d5c44f41dcecb4b8722abd7ea3523fb" title="parallel_m::parallel_kill" alt="" coords="611,802,764,828"/>
<area shape="rect" id="node46" href="namespaceobject__func__m.html#ac96cae17f22c2698826e5e2a12aaa7fe" title="object_func_m::add\l_object_motions" alt="" coords="619,736,755,777"/>
<area shape="rect" id="node47" href="namespaceobject__defs__m.html#af67927dfefc45d81d0da769ea8d35b0c" title="object_defs_m::allocate\l_object_motions" alt="" coords="829,741,989,782"/>
<area shape="rect" id="node48" href="namespaceobject__defs__m.html#aba2ede4c57e230ab7268324a644ff3c3" title="object_defs_m::cleanup\l_object_motions" alt="" coords="1051,744,1211,785"/>
<area shape="rect" id="node49" href="namespaceobject__defs__m.html#a5f1484fe7f20979b13aa7420befb04ea" title="object_defs_m::destroy\l_object_a_motion_ptr" alt="" coords="1261,746,1420,788"/>
</map>
</div>

</div>
</div>
<a id="a47f731d00d4d68f6092e7b2d9fa7dcb5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47f731d00d4d68f6092e7b2d9fa7dcb5">&#9670;&nbsp;</a></span>gen_valve_motion_profile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public engine_profiles::gen_valve_motion_profile </td>
          <td>(</td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>t_loop</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="convert__profiles_8f90.html#a812d8f2205ffe5b3a96d25d6ab03da67">enforce_zero_lift()</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, <a class="el" href="namespaceprofiles__func.html#affb93e086c91fcb50d1cc96de9d21966">profiles_func::plot_motion_profiles</a>, and <a class="el" href="namespaceengine__profiles.html#a0f97ed21d84b6a3e11eb3d25f97ff036">rpm</a>.</p>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceengine__profiles_a47f731d00d4d68f6092e7b2d9fa7dcb5_cgraph.png" border="0" usemap="#namespaceengine__profiles_a47f731d00d4d68f6092e7b2d9fa7dcb5_cgraph" alt=""/></div>
<map name="namespaceengine__profiles_a47f731d00d4d68f6092e7b2d9fa7dcb5_cgraph" id="namespaceengine__profiles_a47f731d00d4d68f6092e7b2d9fa7dcb5_cgraph">
<area shape="rect" id="node2" href="convert__profiles_8f90.html#a812d8f2205ffe5b3a96d25d6ab03da67" title="enforce_zero_lift" alt="" coords="201,5,320,32"/>
<area shape="rect" id="node3" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="213,56,309,83"/>
<area shape="rect" id="node4" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="368,49,499,90"/>
</map>
</div>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceengine__profiles_a47f731d00d4d68f6092e7b2d9fa7dcb5_icgraph.png" border="0" usemap="#namespaceengine__profiles_a47f731d00d4d68f6092e7b2d9fa7dcb5_icgraph" alt=""/></div>
<map name="namespaceengine__profiles_a47f731d00d4d68f6092e7b2d9fa7dcb5_icgraph" id="namespaceengine__profiles_a47f731d00d4d68f6092e7b2d9fa7dcb5_icgraph">
<area shape="rect" id="node2" href="convert__profiles_8f90.html#aee0209e09949e60fd2a9a5738108017c" title="convert_profiles" alt="" coords="201,13,316,39"/>
</map>
</div>

</div>
</div>
<a id="a9d670f68cdb03cb4aa0a5b12749061a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d670f68cdb03cb4aa0a5b12749061a6">&#9670;&nbsp;</a></span>get_piston_bbox_stl()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine engine_profiles::get_piston_bbox_stl </td>
          <td>(</td>
          <td class="paramtype">character(len=str_medium), intent(in)&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>dir</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>scale</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(inout)&#160;</td>
          <td class="paramname"><em>min_loc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(inout)&#160;</td>
          <td class="paramname"><em>max_loc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacestl__m.html#af384db324d32df2919e90660cd5540b2">stl_m::allocate_stl()</a>, <a class="el" href="namespacestl__m.html#a598f3d5697e199dcfbf19e3f5b596d63">stl_m::cleanup_stl()</a>, <a class="el" href="namespacestl__m.html#af4785f0036e4eb885a2fec08239b6baa">stl_m::destroy_stl_ptr()</a>, <a class="el" href="namespacestl__m.html#a8a8ff01a166ff04e86aace85ee4e9a32">stl_m::scale_stl()</a>, <a class="el" href="namespacestl__m.html#a6decb168c316b9f555b11dce7b59a3fc">stl_m::stl_init()</a>, and <a class="el" href="namespacestl__m.html#a891196905fbca07e48edbe6b58ae3f29">stl_m::stl_set_speak()</a>.</p>
<div id="dynsection-7" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-7-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-7-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-7-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceengine__profiles_a9d670f68cdb03cb4aa0a5b12749061a6_cgraph.png" border="0" usemap="#namespaceengine__profiles_a9d670f68cdb03cb4aa0a5b12749061a6_cgraph" alt=""/></div>
<map name="namespaceengine__profiles_a9d670f68cdb03cb4aa0a5b12749061a6_cgraph" id="namespaceengine__profiles_a9d670f68cdb03cb4aa0a5b12749061a6_cgraph">
<area shape="rect" id="node2" href="namespacestl__m.html#af384db324d32df2919e90660cd5540b2" title="stl_m::allocate_stl" alt="" coords="198,68,326,95"/>
<area shape="rect" id="node3" href="namespacestl__m.html#a598f3d5697e199dcfbf19e3f5b596d63" title="stl_m::cleanup_stl" alt="" coords="401,8,529,35"/>
<area shape="rect" id="node6" href="namespacestl__m.html#af4785f0036e4eb885a2fec08239b6baa" title="stl_m::destroy_stl_ptr" alt="" coords="188,129,336,156"/>
<area shape="rect" id="node7" href="namespacestl__m.html#a8a8ff01a166ff04e86aace85ee4e9a32" title="stl_m::scale_stl" alt="" coords="205,203,319,229"/>
<area shape="rect" id="node15" href="namespacestl__m.html#a6decb168c316b9f555b11dce7b59a3fc" title="stl_m::stl_init" alt="" coords="212,355,312,381"/>
<area shape="rect" id="node24" href="namespacestl__m.html#a891196905fbca07e48edbe6b58ae3f29" title="stl_m::stl_set_speak" alt="" coords="191,405,333,432"/>
<area shape="rect" id="node4" href="namespaceadt__m.html#a23ca5dd34e7e9758dda571e9b3da642a" title="adt_m::cleanup_adt" alt="" coords="607,107,743,133"/>
<area shape="rect" id="node5" href="namespacestl__m.html#ab82ddc34e0ce3ffc0f6a781213a2f692" title="stl_m::cleanup_stl_work" alt="" coords="593,5,756,32"/>
<area shape="rect" id="node8" href="namespacestl__m.html#af292763545103b086fbef034bb1f6098" title="stl_m::stl_stop_for\l_bound_by_bbox" alt="" coords="609,326,740,367"/>
<area shape="rect" id="node11" href="namespacestl__m.html#a499e140dab54d34dce26f717d378fd6d" title="stl_m::translate_stl" alt="" coords="398,253,531,280"/>
<area shape="rect" id="node12" href="namespacestl__m.html#abfb83184d359f0d51852bab4c709c170" title="stl_m::stl_calc_bbox" alt="" coords="603,275,746,301"/>
<area shape="rect" id="node13" href="namespacestl__m.html#a3ffe7b9eaaea620decb173f7260b8e13" title="stl_m::stl_calc_normals" alt="" coords="1005,81,1165,108"/>
<area shape="rect" id="node9" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="1037,333,1133,360"/>
<area shape="rect" id="node10" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="1223,326,1354,367"/>
<area shape="rect" id="node14" href="namespacestl__m.html#a74ea522013c3ceb269a5e0088da07430" title="stl_m::triangle_normal" alt="" coords="1213,81,1364,108"/>
<area shape="rect" id="node16" href="stl__m_8f90.html#a007ef5296d37172f01bc84c0b88003cb" title="get_mode_stl" alt="" coords="415,355,515,381"/>
<area shape="rect" id="node17" href="stl__m_8f90.html#a3ff384bab4461d5e3fc9fcdfdc62bcfd" title="read_stl_ascii" alt="" coords="413,507,516,533"/>
<area shape="rect" id="node18" href="stl__m_8f90.html#a4298c822085e9c6112e59646868f57eb" title="read_stl_binary_c" alt="" coords="819,456,943,483"/>
<area shape="rect" id="node19" href="namespacestl__m.html#a8f9ca6b248606ea52e473cc3b20598ba" title="stl_m::stl_init_from_xyz" alt="" coords="384,152,545,179"/>
<area shape="rect" id="node20" href="namespacestl__m.html#ac660956e6f3b0f98aa8fc3a54d139de1" title="stl_m::stl_correct\l_order_v_of_f" alt="" coords="613,158,736,199"/>
<area shape="rect" id="node21" href="namespacestl__m.html#ae9966bab520097a2f012bdad6d9f958a" title="stl_m::stl_build_f_of_v" alt="" coords="804,208,957,235"/>
<area shape="rect" id="node22" href="stl__m_8f90.html#a7a92d617564e4d74af46acfa4a122e2e" title="corr_v_of_f" alt="" coords="837,157,924,184"/>
<area shape="rect" id="node23" href="namespacestl__m.html#a1c21e4087c9f41dd888d1d5c19a80e36" title="stl_m::write_stl" alt="" coords="825,107,936,133"/>
</map>
</div>
<div id="dynsection-8" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-8-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-8-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-8-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceengine__profiles_a9d670f68cdb03cb4aa0a5b12749061a6_icgraph.png" border="0" usemap="#namespaceengine__profiles_a9d670f68cdb03cb4aa0a5b12749061a6_icgraph" alt=""/></div>
<map name="namespaceengine__profiles_a9d670f68cdb03cb4aa0a5b12749061a6_icgraph" id="namespaceengine__profiles_a9d670f68cdb03cb4aa0a5b12749061a6_icgraph">
<area shape="rect" id="node2" href="namespaceengine__profiles.html#a1a233e6f25c330a53f1128a80c8b386f" title="engine_profiles::check\l_motion" alt="" coords="188,5,340,47"/>
</map>
</div>

</div>
</div>
<a id="a7624e90b890c1127f0086fe1931a36a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7624e90b890c1127f0086fe1931a36a6">&#9670;&nbsp;</a></span>parse_motion_file()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine engine_profiles::parse_motion_file </td>
          <td>(</td>
          <td class="paramtype">character(len=str_medium)&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacenga__io.html#a1a642f064d6a1fb91a5bfba2860adc89">nga_io::check_nga_file()</a>, <a class="el" href="nga__func_8f90.html#aee41a5c53bddcfa0c97c3013b50fc977">die()</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, <a class="el" href="namespaceengine__profiles.html#a6a817db44c98e442e424d154ffcc76b4">motion_times</a>, <a class="el" href="namespaceparallel__m.html#a9eb6533f48c829b60b764b0bb4bd5011">parallel_m::mpi_real_wp</a>, <a class="el" href="namespaceengine__profiles.html#a0a5eb243885081a5b952b62b824d2a2c">nmoves</a>, <a class="el" href="namespacenga__io.html#a6ecbe666bf692a97ab14a47bc9f5816f">nga_io::read_preamble_nga_io()</a>, <a class="el" href="namespaceengine__profiles.html#aa7948d5c965c8207f888b013426b61ae">x</a>, <a class="el" href="namespaceengine__profiles.html#aa98918eaeedc195f0381f2ba64516113">y</a>, and <a class="el" href="namespaceengine__profiles.html#a4bd624920ac1e8f8f22529d99f3392af">z</a>.</p>
<div id="dynsection-9" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-9-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-9-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-9-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceengine__profiles_a7624e90b890c1127f0086fe1931a36a6_cgraph.png" border="0" usemap="#namespaceengine__profiles_a7624e90b890c1127f0086fe1931a36a6_cgraph" alt=""/></div>
<map name="namespaceengine__profiles_a7624e90b890c1127f0086fe1931a36a6_cgraph" id="namespaceengine__profiles_a7624e90b890c1127f0086fe1931a36a6_cgraph">
<area shape="rect" id="node2" href="namespacenga__io.html#a1a642f064d6a1fb91a5bfba2860adc89" title="nga_io::check_nga_file" alt="" coords="203,195,357,221"/>
<area shape="rect" id="node6" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="1051,103,1147,129"/>
<area shape="rect" id="node8" href="namespacenga__io.html#a6ecbe666bf692a97ab14a47bc9f5816f" title="nga_io::read_preamble\l_nga_io" alt="" coords="405,246,559,287"/>
<area shape="rect" id="node19" href="nga__func_8f90.html#aee41a5c53bddcfa0c97c3013b50fc977" title="die" alt="" coords="261,304,299,331"/>
<area shape="rect" id="node3" href="namespacenga__io.html#a80567cb65b887edb8bd7e3907cde6210" title="nga_io::init_nga_io\l_types" alt="" coords="635,195,765,237"/>
<area shape="rect" id="node4" href="namespacefile__system.html#a047ef6069d3ea6cc368f6cef8569e0e1" title="file_system::get_mpi\l_filename" alt="" coords="411,78,553,119"/>
<area shape="rect" id="node5" href="namespacefile__system.html#a0bab3e012be5c7813b440494e7ec58fe" title="file_system::make_directory" alt="" coords="607,43,793,69"/>
<area shape="rect" id="node7" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="1259,95,1389,137"/>
<area shape="rect" id="node9" href="nga__io_8f90.html#a0ac55997b2c388797802b90347236400" title="check_byte_swap" alt="" coords="637,261,763,288"/>
<area shape="rect" id="node10" href="namespaceparser.html#a2204d5324b210ab1dc9803a58db1c814" title="parser::get_logical\l_param" alt="" coords="841,245,969,286"/>
<area shape="rect" id="node11" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="1027,223,1171,249"/>
<area shape="rect" id="node12" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="1022,273,1177,300"/>
<area shape="rect" id="node13" href="namespaceparser.html#a3ca87e1ce9b98eccb21ed318dd61daac" title="parser::get_param_from\l_tag_list" alt="" coords="1019,325,1179,366"/>
<area shape="rect" id="node18" href="namespaceparser.html#a20cf12b9337602e6318ccd187ae7b74a" title="parser::combine_tag_list" alt="" coords="1017,172,1181,199"/>
<area shape="rect" id="node14" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="1253,291,1395,333"/>
<area shape="rect" id="node15" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="1241,357,1407,398"/>
<area shape="rect" id="node16" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="1229,423,1419,449"/>
<area shape="rect" id="node17" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="1242,240,1406,267"/>
<area shape="rect" id="node20" href="namespaceparallel__m.html#a0d5c44f41dcecb4b8722abd7ea3523fb" title="parallel_m::parallel_kill" alt="" coords="405,312,559,339"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a6a817db44c98e442e424d154ffcc76b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a817db44c98e442e424d154ffcc76b4">&#9670;&nbsp;</a></span>motion_times</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), allocatable engine_profiles::motion_times</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0a5eb243885081a5b952b62b824d2a2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a5eb243885081a5b952b62b824d2a2c">&#9670;&nbsp;</a></span>nmoves</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer engine_profiles::nmoves</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abb550e619d0416b2072c72606f6696c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb550e619d0416b2072c72606f6696c3">&#9670;&nbsp;</a></span>periodic</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">logical engine_profiles::periodic</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0f97ed21d84b6a3e11eb3d25f97ff036"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f97ed21d84b6a3e11eb3d25f97ff036">&#9670;&nbsp;</a></span>rpm</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) engine_profiles::rpm = 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa7948d5c965c8207f888b013426b61ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7948d5c965c8207f888b013426b61ae">&#9670;&nbsp;</a></span>x</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), allocatable engine_profiles::x</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5612d5ad7f6b14e361a0d7e4fdc259ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5612d5ad7f6b14e361a0d7e4fdc259ed">&#9670;&nbsp;</a></span>x_offset</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), allocatable engine_profiles::x_offset</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa98918eaeedc195f0381f2ba64516113"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa98918eaeedc195f0381f2ba64516113">&#9670;&nbsp;</a></span>y</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), allocatable engine_profiles::y</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af861d0cecd11793e8dd12833410a30dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af861d0cecd11793e8dd12833410a30dc">&#9670;&nbsp;</a></span>y_offset</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), allocatable engine_profiles::y_offset</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4bd624920ac1e8f8f22529d99f3392af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bd624920ac1e8f8f22529d99f3392af">&#9670;&nbsp;</a></span>z</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), allocatable engine_profiles::z</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3fdf98fe5eb640cf66c8d9c4b426fca5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3fdf98fe5eb640cf66c8d9c4b426fca5">&#9670;&nbsp;</a></span>z_offset</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), allocatable engine_profiles::z_offset</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
